Subject: Re: [PATCH] define binding for fsl mpic interrupt controllers

From: Meador Inge <[email-masked]>
Date: Wed, 19 Jan 2011 11:26:12 -0600

On 01/18/2011 01:47 PM, Yoder Stuart-B08248 wrote:
>
> I'm not sure a complete merge into one binding makes sense.  The thing that
> motivated creating this new binding with 4 cells was a thread from
> last year.  See:
>
> http://lists.ozlabs.org/pipermail/devicetree-discuss/2010-January/001489.html

I agree that one binding may not make sense, but perhaps we could have 
something like:

    dts-bindings/
    |-- mpic.txt
    |-- fsl
        |-- mpic.txt

where '.../fsl/mpic.txt' only documents the overrides (and maybe refers 
to '.../mpic.txt' in the intro).  For example, the 
'interrupt-controller', '#address-cells', and 'reg' properties are 
really not that different between the two bindings and could be placed 
just in '.../mpic.txt'.  Where as the specific interrupt specifier 
definition and the overrides for 'compatible' and '#interrupt-cells' 
could go in .../fsl/mpic.txt'.

> Since Freescale had the need to represent additional information
> in interrupt specifiers (error ints, timers, ipis), the suggestion
> at the end was to add additional cells in a FSL-specific binding.
> So this really is a Freescale specific thing and does belong in the
> Freescale binding directory.

Agreed.

> That being said, if there is consensus on the AMP related properties,
> I should probably incorporate those as well-- protected-sources
> and no-reset.
>
> I'll separately comment on your mpic binding patch.

Great, thanks.

-- 
Meador Inge     | meador_inge AT mentor.com
Mentor Embedded | http://www.mentor.com/embedded-software